import { FormValidateCallback } from 'ember-headless-form';
import { EmberChangeset } from 'ember-changeset';
/**
 * Validation helper for integrating `ember-changeset` based validations into headless forms:
 *
 * - pass a changeset to the form's `@data`
 * - pass this helper into the form's `@validate` hook `@validate={{validateChangeset}}`
 * - opt-in to `@dataMode="mutable"`
 */
declare function validateChangeset(): FormValidateCallback<EmberChangeset>;
export { validateChangeset as default };
//# sourceMappingURL=helpers/validate-changeset.d.ts.map